# Uses of Class
com.logicaldoc.core.searchengine.Search

Packages that use Search
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.searchengine.folder

## Uses of Search in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return Search
Modifier and Type
Method
Description
`Search`
SearchTool.`newSearch(SearchOptions options)`
Factory method for searches.

## Uses of Search in com.logicaldoc.core.searchengine

Subclasses of Search in com.logicaldoc.core.searchengine
Modifier and Type
Class
Description
`class`
`FulltextSearch`
Search specialization for the Full text search.
`class`
`TagSearch`
Search specialization for the Tag search.
Methods in com.logicaldoc.core.searchengine that return Search
Modifier and Type
Method
Description
`static Search`
Search.`get(SearchOptions opt)`

## Uses of Search in com.logicaldoc.core.searchengine.folder

Subclasses of Search in com.logicaldoc.core.searchengine.folder
Modifier and Type
Class
Description
`class`
`FolderSearch`
Search specialization for Folder searches.